Module java.base
Package java.util.concurrent

## Class ThreadPoolExecutor.DiscardPolicy

- java.lang.Object
- - java.util.concurrent.ThreadPoolExecutor.DiscardPolicy

All Implemented Interfaces:
  `RejectedExecutionHandler`

Enclosing class:
  ThreadPoolExecutor

    public static class ThreadPoolExecutor.DiscardPolicy
    extends Object
    implements RejectedExecutionHandler

A handler for rejected tasks that silently discards the rejected task.

### Constructor Summary

Constructors
`DiscardPolicy()` Creates a `DiscardPolicy`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `rejectedExecution​(Runnable r, ThreadPoolExecutor e)` Does nothing, which has the effect of discarding task r.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscardPolicy

    public DiscardPolicy()

Creates a `DiscardPolicy`.

### Method Detail

#### rejectedExecution

    public void rejectedExecution​(Runnable r,
                                  ThreadPoolExecutor e)

Does nothing, which has the effect of discarding task r.

Specified by:
  `rejectedExecution` in interface `RejectedExecutionHandler`
Parameters:
  `r` - the runnable task requested to be executed
  `e` - the executor attempting to execute this task